import { __decorate } from "tslib";
import { attr, customElement, DOM } from "@microsoft/fast-element";
import { Badge, BadgeTemplate as template } from "@microsoft/fast-foundation";
import { BadgeStyles as styles } from "./badge.styles";
/**
 * The FAST Badge Element. Implements {@link @microsoft/fast-foundation#Badge},
 * {@link @microsoft/fast-foundation#BadgeTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-badge\>
 */
let FASTBadge = class FASTBadge extends Badge {
    constructor() {
        super(...arguments);
        this.appearance = "lightweight";
    }
    appearanceChanged(oldValue, newValue) {
        if (oldValue !== newValue) {
            DOM.queueUpdate(() => {
                this.classList.add(newValue);
                this.classList.remove(oldValue);
            });
        }
    }
};
__decorate([
    attr({ mode: "fromView" })
], FASTBadge.prototype, "appearance", void 0);
FASTBadge = __decorate([
    customElement({
        name: "fast-badge",
        template,
        styles,
    })
], FASTBadge);
export { FASTBadge };
