import { __decorate } from "tslib";
import { customElement } from "@microsoft/fast-element";
import { Tabs, TabsTemplate as template } from "@microsoft/fast-foundation";
import { TabsStyles as styles } from "./tabs.styles";
/**
 * The FAST Tabs Custom Element. Implements {@link @microsoft/fast-foundation#Tabs},
 * {@link @microsoft/fast-foundation#TabsTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-tabs\>
 */
let FASTTabs = class FASTTabs extends Tabs {
};
FASTTabs = __decorate([
    customElement({
        name: "fast-tabs",
        template,
        styles,
    })
], FASTTabs);
export { FASTTabs };
export * from "./tab/";
export * from "./tab-panel/";
