import { Accordion } from '@microsoft/fast-foundation';
import { AccordionItem } from '@microsoft/fast-foundation';
import { Anchor } from '@microsoft/fast-foundation';
import { Badge } from '@microsoft/fast-foundation';
import { BaseProgress } from '@microsoft/fast-foundation';
import { Button } from '@microsoft/fast-foundation';
import { Card } from '@microsoft/fast-foundation';
import { Checkbox } from '@microsoft/fast-foundation';
import { ColorRGBA64 } from '@microsoft/fast-colors';
import { DensityOffset } from '@microsoft/fast-components-styles-msft';
import { DesignSystem } from '@microsoft/fast-components-styles-msft';
import { DesignSystemProvider } from '@microsoft/fast-foundation';
import { Dialog } from '@microsoft/fast-foundation';
import { Direction } from '@microsoft/fast-web-utilities';
import { Divider } from '@microsoft/fast-foundation';
import { Flipper } from '@microsoft/fast-foundation';
import { Menu } from '@microsoft/fast-foundation';
import { MenuItem } from '@microsoft/fast-foundation';
import { Radio } from '@microsoft/fast-foundation';
import { RadioGroup } from '@microsoft/fast-foundation';
import { Slider } from '@microsoft/fast-foundation';
import { SliderLabel } from '@microsoft/fast-foundation';
import { Switch } from '@microsoft/fast-foundation';
import { Tab } from '@microsoft/fast-foundation';
import { TabPanel } from '@microsoft/fast-foundation';
import { Tabs } from '@microsoft/fast-foundation';
import { TextArea } from '@microsoft/fast-foundation';
import { TextField } from '@microsoft/fast-foundation';
import { TreeItem } from '@microsoft/fast-foundation';
import { TreeView } from '@microsoft/fast-foundation';

/**
 * @internal
 */
export declare const AccentButtonStyles: import("@microsoft/fast-element").ElementStyles;

/**
 * Behavior to resolve and make available the accent-fill-active CSS custom property.
 * @public
 */
export declare const accentFillActiveBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-fill-focus CSS custom property.
 * @public
 */
export declare const accentFillFocusBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-fill-hover CSS custom property.
 * @public
 */
export declare const accentFillHoverBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-fill-large-active CSS custom property.
 * @public
 */
export declare const accentFillLargeActiveBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-fill-large-focus CSS custom property.
 * @public
 */
export declare const accentFillLargeFocusBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-fill-large-hover CSS custom property.
 * @public
 */
export declare const accentFillLargeHoverBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-fill-large-rest CSS custom property.
 * @public
 */
export declare const accentFillLargeRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-fill-large-selected CSS custom property.
 * @public
 */
export declare const accentFillLargeSelectedBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-fill-rest CSS custom property.
 * @public
 */
export declare const accentFillRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-fill-selected CSS custom property.
 * @public
 */
export declare const accentFillSelectedBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-foreground-active CSS custom property.
 * @public
 */
export declare const accentForegroundActiveBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-foreground-cut-rest CSS custom property.
 * @public
 */
export declare const accentForegroundCutRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-foreground-focus CSS custom property.
 * @public
 */
export declare const accentForegroundFocusBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-foreground-hover CSS custom property.
 * @public
 */
export declare const accentForegroundHoverBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-foreground-large-active CSS custom property.
 * @public
 */
export declare const accentForegroundLargeActiveBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-foreground-large-focus CSS custom property.
 * @public
 */
export declare const accentForegroundLargeFocusBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-foreground-large-hover CSS custom property.
 * @public
 */
export declare const accentForegroundLargeHoverBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-foreground-large-rest CSS custom property.
 * @public
 */
export declare const accentForegroundLargeRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the accent-foreground-rest CSS custom property.
 * @public
 */
export declare const accentForegroundRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Define shadow algorithms.
 *
 * TODO: The --background-luminance will need to be derived from JavaScript. For now
 * this is hard-coded to a 1, the relative luminance of pure white.
 * https://github.com/microsoft/fast/issues/2778
 *
 * @internal
 */
export declare const ambientShadow = "0 0 calc((var(--elevation) * 0.225px) + 2px) rgba(0, 0, 0, calc(.11 * (2 - var(--background-luminance, 1))))";

/**
 * Types of anchor appearance.
 * @public
 */
export declare type AnchorAppearance = ButtonAppearance | "hypertext";

/**
 * Badge appearance options.
 * @public
 */
export declare type BadgeAppearance = "accent" | "lightweight" | "neutral" | string;

/**
 * @internal
 */
export declare const BaseButtonStyles: import("@microsoft/fast-element").ElementStyles;

/**
 * Types of button appearance.
 * @public
 */
export declare type ButtonAppearance = "accent" | "lightweight" | "neutral" | "outline" | "stealth";

/**
 * @internal
 */
export declare const directionalShadow = "0 calc(var(--elevation) * 0.4px) calc((var(--elevation) * 0.9px)) rgba(0, 0, 0, calc(.13 * (2 - var(--background-luminance, 1))))";

/**
 * Applies the box-shadow CSS rule set to the elevation formula.
 * Control this formula with the --elevation CSS Custom Property
 * by setting --elevation to a number.
 *
 * @public
 */
export declare const elevation: string;

/**
 * The FAST Accordion Element. Implements {@link @microsoft/fast-foundation#Accordion},
 * {@link @microsoft/fast-foundation#AccordionTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-accordion\>
 */
export declare class FASTAccordion extends Accordion {
}

/**
 * The FAST Accordion Item Element. Implements {@link @microsoft/fast-foundation#AccordionItem},
 * {@link @microsoft/fast-foundation#AccordionItemTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-accordion-item\>
 */
export declare class FASTAccordionItem extends AccordionItem {
}

/**
 * The FAST Anchor Element. Implements {@link @microsoft/fast-foundation#Anchor},
 * {@link @microsoft/fast-foundation#AnchorTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-anchor\>
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/ShadowRoot/delegatesFocus | delegatesFocus}
 */
export declare class FASTAnchor extends Anchor {
    /**
     * The appearance the anchor should have.
     *
     * @public
     * @remarks
     * HTML Attribute: appearance
     */
    appearance: AnchorAppearance;
    appearanceChanged(oldValue: AnchorAppearance, newValue: AnchorAppearance): void;
    /**
     * @internal
     */
    connectedCallback(): void;
}

/**
 * The FAST Badge Element. Implements {@link @microsoft/fast-foundation#Badge},
 * {@link @microsoft/fast-foundation#BadgeTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-badge\>
 */
export declare class FASTBadge extends Badge {
    appearance: BadgeAppearance;
    private appearanceChanged;
}

/**
 * The FAST Button Element. Implements {@link @microsoft/fast-foundation#Button},
 * {@link @microsoft/fast-foundation#ButtonTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-button\>
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/ShadowRoot/delegatesFocus | delegatesFocus}
 */
export declare class FASTButton extends Button {
    /**
     * The appearance the button should have.
     *
     * @public
     * @remarks
     * HTML Attribute: appearance
     */
    appearance: ButtonAppearance;
    appearanceChanged(oldValue: ButtonAppearance, newValue: ButtonAppearance): void;
    /**
     * @internal
     */
    connectedCallback(): void;
}

/**
 * The FAST Card Element. Implements {@link @microsoft/fast-foundation#Card},
 * {@link @microsoft/fast-foundation#CardTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-card\>
 */
export declare class FASTCard extends Card {
}

/**
 * The FAST Checkbox Element. Implements {@link @microsoft/fast-foundation#Checkbox},
 * {@link @microsoft/fast-foundation#CheckboxTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-checkbox\>
 */
export declare class FASTCheckbox extends Checkbox {
}

/**
 * The FAST DesignSystemProvider Element. Implements {@link @microsoft/fast-foundation#DesignSystemProvider},
 * {@link @microsoft/fast-foundation#DesignSystemProviderTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-design-system-provider\>
 */
export declare class FASTDesignSystemProvider extends DesignSystemProvider implements Omit<DesignSystem, "contrast" | "fontWeight" | "neutralForegroundDarkIndex" | "neutralForegroundLightIndex"> {
    /**
     * Used to instruct the FASTDesignSystemProvider
     * that it should not set the CSS
     * background-color and color properties
     *
     * @remarks
     * HTML boolean boolean attribute: no-paint
     */
    noPaint: boolean;
    private noPaintChanged;
    /**
     * Define design system property attributes
     */
    backgroundColor: string;
    private backgroundColorChanged;
    accentBaseColor: string;
    neutralPalette: string[];
    accentPalette: string[];
    density: DensityOffset;
    designUnit: number;
    direction: Direction;
    baseHeightMultiplier: number;
    baseHorizontalSpacingMultiplier: number;
    cornerRadius: number;
    elevatedCornerRadius: number;
    outlineWidth: number;
    focusOutlineWidth: number;
    disabledOpacity: number;
    typeRampMinus2FontSize: string;
    typeRampMinus2LineHeight: string;
    typeRampMinus1FontSize: string;
    typeRampMinus1LineHeight: string;
    typeRampBaseFontSize: string;
    typeRampBaseLineHeight: string;
    typeRampPlus1FontSize: string;
    typeRampPlus1LineHeight: string;
    typeRampPlus2FontSize: string;
    typeRampPlus2LineHeight: string;
    typeRampPlus3FontSize: string;
    typeRampPlus3LineHeight: string;
    typeRampPlus4FontSize: string;
    typeRampPlus4LineHeight: string;
    typeRampPlus5FontSize: string;
    typeRampPlus5LineHeight: string;
    typeRampPlus6FontSize: string;
    typeRampPlus6LineHeight: string;
    accentFillRestDelta: number;
    accentFillHoverDelta: number;
    accentFillActiveDelta: number;
    accentFillFocusDelta: number;
    accentFillSelectedDelta: number;
    accentForegroundRestDelta: number;
    accentForegroundHoverDelta: number;
    accentForegroundActiveDelta: number;
    accentForegroundFocusDelta: number;
    neutralFillRestDelta: number;
    neutralFillHoverDelta: number;
    neutralFillActiveDelta: number;
    neutralFillFocusDelta: number;
    neutralFillSelectedDelta: number;
    neutralFillInputRestDelta: number;
    neutralFillInputHoverDelta: number;
    neutralFillInputActiveDelta: number;
    neutralFillInputFocusDelta: number;
    neutralFillInputSelectedDelta: number;
    neutralFillStealthRestDelta: number;
    neutralFillStealthHoverDelta: number;
    neutralFillStealthActiveDelta: number;
    neutralFillStealthFocusDelta: number;
    neutralFillStealthSelectedDelta: number;
    neutralFillToggleHoverDelta: number;
    neutralFillToggleActiveDelta: number;
    neutralFillToggleFocusDelta: number;
    baseLayerLuminance: number;
    neutralFillCardDelta: number;
    neutralForegroundHoverDelta: number;
    neutralForegroundActiveDelta: number;
    neutralForegroundFocusDelta: number;
    neutralDividerRestDelta: number;
    neutralOutlineRestDelta: number;
    neutralOutlineHoverDelta: number;
    neutralOutlineActiveDelta: number;
    neutralOutlineFocusDelta: number;
}

/**
 * The FAST Dialog Element. Implements {@link @microsoft/fast-foundation#Dialog},
 * {@link @microsoft/fast-foundation#DialogTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-dialog\>
 */
export declare class FASTDialog extends Dialog {
}

/**
 * The FAST Divider Element. Implements {@link @microsoft/fast-foundation#Divider},
 * {@link @microsoft/fast-foundation#DividerTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-divider\>
 */
export declare class FASTDivider extends Divider {
}

/**
 * The FAST Flipper Element. Implements {@link @microsoft/fast-foundation#Flipper},
 * {@link @microsoft/fast-foundation#FlipperTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-flipper\>
 */
export declare class FASTFlipper extends Flipper {
}

/**
 * The FAST Menu Element. Implements {@link @microsoft/fast-foundation#Menu},
 * {@link @microsoft/fast-foundation#MenuTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-menu\>
 */
export declare class FASTMenu extends Menu {
}

/**
 * The FAST Menu Item Element. Implements {@link @microsoft/fast-foundation#MenuItem},
 * {@link @microsoft/fast-foundation#MenuItemTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-menu-item\>
 */
export declare class FASTMenuItem extends MenuItem {
}

/**
 * The FAST Progress Element. Implements {@link @microsoft/fast-foundation#BaseProgress},
 * {@link @microsoft/fast-foundation#ProgressTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-progress\>
 */
export declare class FASTProgress extends BaseProgress {
}

/**
 * The FAST Progress Ring Element. Implements {@link @microsoft/fast-foundation#BaseProgress},
 * {@link @microsoft/fast-foundation#ProgressRingTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-progress-ring\>
 */
export declare class FASTProgressRing extends BaseProgress {
}

/**
 * The FAST Radio Element. Implements {@link @microsoft/fast-foundation#Radio},
 * {@link @microsoft/fast-foundation#RadioTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-radio\>
 */
export declare class FASTRadio extends Radio {
}

/**
 * The FAST Radio Group Element. Implements {@link @microsoft/fast-foundation#RadioGroup},
 * {@link @microsoft/fast-foundation#RadioGroupTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-radio-group\>
 */
export declare class FASTRadioGroup extends RadioGroup {
}

/**
 * The FAST Slider Custom Element. Implements {@link @microsoft/fast-foundation#Slider},
 * {@link @microsoft/fast-foundation#SliderTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-slider\>
 */
export declare class FASTSlider extends Slider {
}

/**
 * The FAST Slider Label Custom Element. Implements {@link @microsoft/fast-foundation#SliderLabel},
 * {@link @microsoft/fast-foundation#SliderLabelTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-slider-label\>
 */
export declare class FASTSliderLabel extends SliderLabel {
}

/**
 * The FAST Switch Custom Element. Implements {@link @microsoft/fast-foundation#Switch},
 * {@link @microsoft/fast-foundation#SwitchTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-switch\>
 */
export declare class FASTSwitch extends Switch {
}

/**
 * The FAST Tab Custom Element. Implements {@link @microsoft/fast-foundation#Tab},
 * {@link @microsoft/fast-foundation#TabTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-tab\>
 */
export declare class FASTTab extends Tab {
}

/**
 * The FAST Tab Panel Custom Element. Implements {@link @microsoft/fast-foundation#TabPanel},
 * {@link @microsoft/fast-foundation#TabPanelTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-tab-panel\>
 */
export declare class FASTTabPanel extends TabPanel {
}

/**
 * The FAST Tabs Custom Element. Implements {@link @microsoft/fast-foundation#Tabs},
 * {@link @microsoft/fast-foundation#TabsTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-tabs\>
 */
export declare class FASTTabs extends Tabs {
}

/**
 * The FAST Text Area Custom Element. Implements {@link @microsoft/fast-foundation#TextArea},
 * {@link @microsoft/fast-foundation#TextAreaTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-text-area\>
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/ShadowRoot/delegatesFocus | delegatesFocus}
 */
export declare class FASTTextArea extends TextArea {
    /**
     * The appearance of the element.
     *
     * @public
     * @remarks
     * HTML Attribute: appearance
     */
    appearance: TextAreaAppearance;
    /**
     * @internal
     */
    appearanceChanged(oldValue: TextAreaAppearance, newValue: TextAreaAppearance): void;
    /**
     * @internal
     */
    connectedCallback(): void;
}

/**
 * The FAST Text Field Custom Element. Implements {@link @microsoft/fast-foundation#TextField},
 * {@link @microsoft/fast-foundation#TextFieldTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-text-field\>
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/ShadowRoot/delegatesFocus | delegatesFocus}
 */
export declare class FASTTextField extends TextField {
    /**
     * The appearance of the element.
     *
     * @public
     * @remarks
     * HTML Attribute: appearance
     */
    appearance: TextFieldAppearance;
    /**
     * @internal
     */
    appearanceChanged(oldValue: TextFieldAppearance, newValue: TextFieldAppearance): void;
    /**
     * @internal
     */
    connectedCallback(): void;
}

export declare class FASTTreeItem extends TreeItem {
}

export declare class FASTTreeView extends TreeView {
}

/**
 * The height of height of a standard control (expressed as a number) to be used in CSS.
 * @public
 */
export declare const heightNumber = "(var(--base-height-multiplier) + var(--density)) * var(--design-unit)";

/**
 * @internal
 */
export declare const HypertextStyles: import("@microsoft/fast-element").ElementStyles;

/**
 * Behavior to resolve and make available the inline-end CSS custom property.
 *
 * @remarks
 * Replaces the inline-end value for the {@link https://developer.mozilla.org/en-US/docs/Web/CSS/float | float} property
 * when the native value is not supported.
 *
 * @public
 * @example
 * ```ts
 * import { css } from "@microsoft/fast-element";
 * import { inlineEndBehavior } from "@microsoft/fast-components-msft";
 *
 * css`
 *   :host {
 *     float: ${inlineEndBehavior.var};
 *   }
 * `.withBehaviors(inlineEndBehavior)
 * ```
 */
export declare const inlineEndBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the inline-start CSS custom property.
 *
 * @remarks
 * Replaces the inline-start value for the {@link https://developer.mozilla.org/en-US/docs/Web/CSS/float | float} property
 * when the native value is not supported.
 *
 * @public
 * @example
 * ```ts
 * import { css } from "@microsoft/fast-element";
 * import { inlineStartBehavior } from "@microsoft/fast-components-msft";
 *
 * css`
 *   :host {
 *     float: ${inlineStartBehavior.var};
 *   }
 * `.withBehaviors(inlineStartBehavior)
 * ```
 */
export declare const inlineStartBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * @internal
 */
export declare const LightweightButtonStyles: import("@microsoft/fast-element").ElementStyles;

/**
 * Behavior to resolve and make available the neutral-divider-rest CSS custom property.
 * @public
 */
export declare const neutralDividerRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-active CSS custom property.
 * @public
 */
export declare const neutralFillActiveBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-card-rest CSS custom property.
 * @public
 */
export declare const neutralFillCardRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-focus CSS custom property.
 * @public
 */
export declare const neutralFillFocusBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-hover CSS custom property.
 * @public
 */
export declare const neutralFillHoverBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-input-active CSS custom property.
 * @public
 */
export declare const neutralFillInputActiveBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-input-focus CSS custom property.
 * @public
 */
export declare const neutralFillInputFocusBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-input-hover CSS custom property.
 * @public
 */
export declare const neutralFillInputHoverBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-input-rest CSS custom property.
 * @public
 */
export declare const neutralFillInputRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-rest CSS custom property.
 * @public
 */
export declare const neutralFillRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-selected CSS custom property.
 * @public
 */
export declare const neutralFillSelectedBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-stealth-active CSS custom property.
 * @public
 */
export declare const neutralFillStealthActiveBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-stealth-focus CSS custom property.
 * @public
 */
export declare const neutralFillStealthFocusBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-stealth-hover CSS custom property.
 * @public
 */
export declare const neutralFillStealthHoverBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-stealth-rest CSS custom property.
 * @public
 */
export declare const neutralFillStealthRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-stealth-selected CSS custom property.
 * @public
 */
export declare const neutralFillStealthSelectedBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-toggle-active CSS custom property.
 * @public
 */
export declare const neutralFillToggleActiveBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-toggle-focus CSS custom property.
 * @public
 */
export declare const neutralFillToggleFocusBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-toggle-hover CSS custom property.
 * @public
 */
export declare const neutralFillToggleHoverBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-fill-toggle-rest CSS custom property.
 * @public
 */
export declare const neutralFillToggleRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-focus CSS custom property.
 * @public
 */
export declare const neutralFocusBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-focus-inner-accent CSS custom property.
 * @public
 */
export declare const neutralFocusInnerAccentBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-foreground-active CSS custom property.
 * @public
 */
export declare const neutralForegroundActiveBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-foreground-focus CSS custom property.
 * @public
 */
export declare const neutralForegroundFocusBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-foreground-hint CSS custom property.
 * @public
 */
export declare const neutralForegroundHintBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-foreground-hint-large CSS custom property.
 * @public
 */
export declare const neutralForegroundHintLargeBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-foreground-hover CSS custom property.
 * @public
 */
export declare const neutralForegroundHoverBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-foreground-rest CSS custom property.
 * @public
 */
export declare const neutralForegroundRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-foreground-toggle CSS custom property.
 * @public
 */
export declare const neutralForegroundToggleBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-foreground-toggle-large CSS custom property.
 * @public
 */
export declare const neutralForegroundToggleLargeBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-layer-card CSS custom property.
 * @public
 */
export declare const neutralLayerCardBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-layer-card-container CSS custom property.
 * @public
 */
export declare const neutralLayerCardContainerBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-layer-floating CSS custom property.
 * @public
 */
export declare const neutralLayerFloatingBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-layer-l1-alt CSS custom property.
 * @public
 */
export declare const neutralLayerL1AltBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-layer-l1 CSS custom property.
 * @public
 */
export declare const neutralLayerL1Behavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-layer-l2 CSS custom property.
 * @public
 */
export declare const neutralLayerL2Behavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-layer-l3 CSS custom property.
 * @public
 */
export declare const neutralLayerL3Behavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-layer-l4 CSS custom property.
 * @public
 */
export declare const neutralLayerL4Behavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-outline-active CSS custom property.
 * @public
 */
export declare const neutralOutlineActiveBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-outline-focus CSS custom property.
 * @public
 */
export declare const neutralOutlineFocusBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-outline-hover CSS custom property.
 * @public
 */
export declare const neutralOutlineHoverBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * Behavior to resolve and make available the neutral-outline-rest CSS custom property.
 * @public
 */
export declare const neutralOutlineRestBehavior: import("@microsoft/fast-foundation").CSSCustomPropertyBehavior;

/**
 * @internal
 */
export declare const OutlineButtonStyles: import("@microsoft/fast-element").ElementStyles;

/**
 * Converts a color string into a ColorRGBA64 instance.
 * Supports #RRGGBB and rgb(r, g, b) formats
 *
 * @public
 */
export declare function parseColorString(color: string): ColorRGBA64;

/**
 * @internal
 */
export declare const StealthButtonStyles: import("@microsoft/fast-element").ElementStyles;

/**
 * Text area appearances
 * @public
 */
export declare type TextAreaAppearance = "filled" | "outline";

/**
 * Text field appearances
 * @public
 */
export declare type TextFieldAppearance = "filled" | "outline";

export { }
